Bug 1467661 - Unbound-devel doesn't specify properly architecture of ldns-devel dependency
Unbound-devel doesn't specify properly architecture of ldns-devel dependency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: unbound (Show other bugs)
7.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Petr Menšík
qe-baseos-daemons
:
Depends On: 1467658
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 09:21 EDT by Radka Skvarilova
Modified: 2018-03-12 10:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: unbound-1.6.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1467658
Environment:
Last Closed: 2018-03-12 10:42:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Petr Menšík 2017-07-04 09:42:00 EDT
unbound-devel has not dependency limited to architecture.

On failed machine were installed those devel packages:

$ rpm -q openssl-devel unbound-devel ldns-devel
openssl-devel-1.0.1e-57.el6.x86_64
unbound-devel-1.4.20-23.el6.3.x86_64
unbound-devel-1.4.20-23.el6.3.i686
ldns-devel-1.6.16-7.el6.2.i686
Comment 3 Petr Menšík 2017-07-04 10:56:34 EDT
On the second look, I found no reason to have dependency on ldns-devel or openssl-devel. unbound headers do not include headers from any of those. I think dependency there is only to help with development. Only libreswan package depends on unbound-devel. I think it does not need openssl or ldns devel headers.
Comment 4 Petr Menšík 2018-03-12 10:42:31 EDT
Unbound no longer depends on ldns library, making this fix no longer required. It should not depend on ldns at all and it no longer does.

Note You need to log in before you can comment on or make changes to this bug.